#include <iostream>
using namespace std;
int main()
{
    int long long V,n,a,i,j,S=0,d=5,k=1,g=1;
    cin>>V;
       while(V>0)
       {
           a=V%10;
           if(a==1 || a==3|| a=5)
           S=S+1;
           else if(a==3||a==4||a==6||a==7)
           S=S+2;
           else if(a==8||a==9)
           S=S+3;
           V=V/10;
       }
       cout<<S;
       return 0;
}